Package org.eclipse.m2m.atl.emftvm.ant

## Class LoadModelTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.eclipse.m2m.atl.emftvm.ant.EMFTVMTask
      - - org.eclipse.m2m.atl.emftvm.ant.LoadModelTask

All Implemented Interfaces:
  `java.lang.Cloneable`

Direct Known Subclasses:
  `LoadMetamodelTask`, `NewModelTask`

    public class LoadModelTask
    extends EMFTVMTask

Loads a `Model`.

### Field Summary

### Fields inherited from class org.eclipse.m2m.atl.emftvm.ant.EMFTVMTask

`RESOURCE_SET`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
`LoadModelTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Model` `createModel​(org.eclipse.emf.ecore.resource.Resource resource)` Creates a new `Model` instance for the given `Resource`.
`java.lang.String` `getName()` Returns the model name.
`java.lang.String` `getUri()` Returns the model URI.
`java.lang.String` `getWspath()` Returns the model workspace path.
`protected void` `innerExecute()` Performs the actual execution.
`protected void` `loadFromNsuri​(java.lang.String uri)` Loads model from
`protected void` `loadFromURI​(org.eclipse.emf.common.util.URI uri)` Loads model from
`protected void` `loadFromWspath​(java.lang.String wspath)` Loads model from
`void` `setName​(java.lang.String name)` Sets the model name.
`void` `setUri​(java.lang.String uri)` Sets the model URI.
`void` `setWspath​(java.lang.String wspath)` Sets the model workspace path.

### Methods inherited from class org.eclipse.m2m.atl.emftvm.ant.EMFTVMTask

`execute, getMetamodel, getModel, getResourceSet, setModel`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoadModelTask

    public LoadModelTask()

### Method Detail

#### setName

    public void setName​(java.lang.String name)

Sets the model name.

Parameters:
  `name` - the name to set

#### getName

    public java.lang.String getName()

Returns the model name.

Returns:
  the name

#### setWspath

    public void setWspath​(java.lang.String wspath)

Sets the model workspace path.

Parameters:
  `wspath` - the wspath to set

#### getWspath

    public java.lang.String getWspath()

Returns the model workspace path.

Returns:
  the wspath

#### setUri

    public void setUri​(java.lang.String uri)

Sets the model URI.

Parameters:
  `uri` - the uri to set

#### getUri

    public java.lang.String getUri()

Returns the model URI.

Returns:
  the uri

#### innerExecute

    protected void innerExecute()
                         throws java.lang.Exception

Performs the actual execution.

Specified by:
  `innerExecute` in class `EMFTVMTask`
Throws:
  `java.lang.Exception`

#### createModel

    protected Model createModel​(org.eclipse.emf.ecore.resource.Resource resource)

Creates a new `Model` instance for the given `Resource`.

Parameters:
  `resource` - the `Resource`
Returns:
  a new `Model`.

#### loadFromNsuri

    protected void loadFromNsuri​(java.lang.String uri)

Loads model from

    nsuri

.

Parameters:
  `uri` - the namespace URI

#### loadFromWspath

    protected void loadFromWspath​(java.lang.String wspath)

Loads model from

    wspath

.

Parameters:
  `wspath` - the workspace path

#### loadFromURI

    protected void loadFromURI​(org.eclipse.emf.common.util.URI uri)

Loads model from

    uri

.

Parameters:
  `uri` - the EMF URI